- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_read_prefs_t

# mongoc_read_prefs_get_mode()

## Synopsis

    mongoc_read_mode_t
    mongoc_read_prefs_get_mode (const mongoc_read_prefs_t *read_prefs);

## Parameters

- `read_prefs`: A mongoc_read_prefs_t.

## Description

Fetches the mongoc_read_mode_t for the read preference.

## Returns

Returns the read preference mode.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.